GSSAPI::OID::Set(3pm)

NAME
GSSAPI::OID::Set - methods for handling sets of GSSAPI OIDs, and some constant OID sets.

SYNOPSIS
  use GSSAPI;

  $oidset = GSSAPI::OID::Set->new;

  $status = $oidset->insert($oid);
  $status = $oidset->contains($oid, $isthere);
  if ($status && $isthere) {
    # blah blah blah
  }

DESCRIPTION
"GSSAPI::OID::Set" objects are simple sets of GSSAPI:OIDs (duh).

BUGS
There's no way to list the OIDs in a set; you can only check to see if a particular one is present. This is really a bug in the C API, so any fix would be implementation specific.

AUTHOR
Philip Guenther <pguen@cpan.org>

SEE ALSO
perl(1) GSSAPI(3p) GSSAPI::OID(3p) RFC2743